Package org.apache.cxf.helpers

# Class DOMUtils.NullResolver

java.lang.Object
org.apache.cxf.helpers.DOMUtils.NullResolver

All Implemented Interfaces:
  `EntityResolver`

Enclosing class:
  DOMUtils

public static class DOMUtils.NullResolver extends Object implements EntityResolver

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NullResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputSource`
  `resolveEntity(String publicId, String systemId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NullResolver

    public NullResolver()

- ## Method Details

  - ### resolveEntity

    public InputSource resolveEntity(String publicId, String systemId) throws SAXException, IOException
    Specified by:
      `resolveEntity` in interface `EntityResolver`
    Throws:
      `SAXException`
      `IOException`